#include "positions.h"

// Aufstellungen beziehen sich auf das Spiel von links nach rechts

struct Aufstellung InplayPositions [3] [11] =
{
  { // erste Aufstellung
    {{-50.0,   0.0}, ROLLE_TORWART},
    {{-42.0,   0.0}, ROLLE_LIBERO},
    {{-30.0, -17.0}, ROLLE_RECHTER_VERTEIDIGER},
    {{-30.0,  17.0}, ROLLE_LINKER_VERTEIDIGER},
    {{- 7.0, - 7.0}, ROLLE_RECHTES_MITTELFELD},
    {{- 7.0,   7.0}, ROLLE_LINKES_MITTELFELD},
    {{ 10.0,   0.0}, ROLLE_SPIELMACHER},
    {{ 20.0, -20.0}, ROLLE_RECHTS_AUSSEN},
    {{ 20.0,  20.0}, ROLLE_LINKS_AUSSEN},
    {{ 35.0, -12.0}, ROLLE_RECHTER_STUERMER},
    {{ 35.0,  12.0}, ROLLE_LINKER_STUERMER}
  },
  { // zweite Aufstellung
    {{-50.0,   0.0}, ROLLE_TORWART},
    {{-42.0,   0.0}, ROLLE_LIBERO},
    {{-33.0, -20.0}, ROLLE_RECHTER_VERTEIDIGER},
    {{-33.0,  20.0}, ROLLE_LINKER_VERTEIDIGER},
    {{- 7.0, -10.0}, ROLLE_RECHTES_MITTELFELD},
    {{- 7.0,  10.0}, ROLLE_LINKES_MITTELFELD},
    {{ 13.0,   0.0}, ROLLE_SPIELMACHER},
    {{ 23.0, -20.0}, ROLLE_RECHTS_AUSSEN},
    {{ 23.0,  20.0}, ROLLE_LINKS_AUSSEN},
    {{ 35.0, - 9.0}, ROLLE_RECHTER_STUERMER},
    {{ 35.0,   9.0}, ROLLE_LINKER_STUERMER}
  },
  { // dritte Aufstellung
    {{-50.0,   0.0}, ROLLE_TORWART},
    {{-30.0,   0.0}, ROLLE_LIBERO},
    {{-45.0, - 8.0}, ROLLE_RECHTER_VERTEIDIGER},
    {{-45.0,   8.0}, ROLLE_LINKER_VERTEIDIGER},
    {{- 7.0, - 7.0}, ROLLE_RECHTES_MITTELFELD},
    {{- 7.0,   7.0}, ROLLE_LINKES_MITTELFELD},
    {{ 10.0,   0.0}, ROLLE_SPIELMACHER},
    {{ 20.0, -20.0}, ROLLE_RECHTS_AUSSEN},
    {{ 20.0,  20.0}, ROLLE_LINKS_AUSSEN},
    {{ 35.0, -12.0}, ROLLE_RECHTER_STUERMER},
    {{ 35.0,  12.0}, ROLLE_LINKER_STUERMER}
  },
};

Punkt KickoffPositions [2] [11] =
{
  // Anfangsaufstellung bei Defensive
  {
    {-50.0,   0.0},
    {-42.0,   0.0},
    {-30.0, -17.0},
    {-30.0,  17.0},
    {- 7.0, - 7.0},
    {- 7.0,   7.0},
    {-15.0,   0.0},
    {- 2.0, -20.0},
    {- 2.0,  20.0},
    {- 1.0, -10.0},
    {- 1.0,  10.0}
  },
  // Anfangsaufstellung bei Offensive
  {
    {-50.0,   0.0},
    {-42.0,   0.0},
    {-30.0, -17.0},
    {-30.0,  17.0},
    {-10.0, - 7.0},
    {-10.0,   7.0},
    {-10.0,   0.0},
    {- 2.0, -20.0},
    {- 2.0,  20.0},
    {  0.0,   1.0},
    {  0.0,   5.0}
  }
};
